<?php

namespace App\Filament\Pages\AdminVerification\Actions;

use App\Filament\Pages\AdminVerification\Concerns\CanProcessVerificationReview;
use App\Filament\Resources\Manage\Partners\Pages\ViewPartner;
use Filament\Actions\Action;

class ViewAction extends Action
{
    use CanProcessVerificationReview;

    public static function getDefaultName(): ?string
    {
        return 'view';
    }

    protected function setUp(): void
    {
        parent::setUp();

        $this->label('Lihat')
            ->color('success')
            ->icon('heroicon-o-eye')
            ->size('sm')
            ->link()
            ->url(fn (array $arguments) => ViewPartner::getUrl(['record' => $arguments['id']]));
    }
}
